const mysql = require("./mysql_db")
const logger = require('../logger')
var { db_config } = require('../../config/config.js')
const utils = require('../utils.js')


/**
 * 是否暂停归集动作
 */
async function isPause(type) {
    var sql = 'select * from remote_config WHERE type=? '
    var par = [type]
    logger.info('isPause', sql, par)
    return new Promise((resolve) => {
        mysql.getMySqlInstance().getConnection(function (err, connection) {
            if (err) {
                logger.error('isPause', err)
                logger.error('isPause', sql)
                resolve(null);
                return;
            }
            connection.query(
                sql, par,
                function selectCb(error, results) {
                    if (error) {
                        logger.error('isPause', error, create_withdraw_sql, create_withdraw_params)
                        resolve(null);
                        return;
                    }
                    logger.log('isPause ret=', error, results);
                    //用完当前连接需要释放,归还给连接池
                    connection.release();
                    if (results && Array.isArray(results) && results.length > 0) {
                        resolve(results[0].pause);
                    } else {
                        resolve(1);
                    }
                }
            );
        })
    })
}

/**
 * 过滤某些地址归集
 */
async function getFilterLists(type) {

}






module.exports = {
    isPause,
    getFilterLists,
}
